Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83137 - german umlaut characters not displayed
Summary: german umlaut characters not displayed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 17:27 UTC by David Balažic
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 15:53:42 UTC


Attachments (Terms of Use)

Description David Balažic 2003-01-30 17:27:02 UTC
Description of problem:

German umlaut characters ( a,o and u with two dots on them ) are not always 
displayed. I viewed the file /usr/share/doc/redhat-release-8.0.93/README-
i386.de and cat, less and grep do not display them, while
vi displays them. This is all in a root's bash on VT2 , TERM=linux.

/etc/sysconfig/i18n :
LANG="en_US.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:hu_HU.UTF-8:hu_HU:hu:sl_SI.UTF-8:sl_SI:sl"
SYSFONT="latarcyrheb-sun16"

Version-Release number of selected component (if applicable):

phoebe2 8.0.93
redhat-release-8.0.93-2
less-378-3
coreutils-4.5.3-11
vim-enhanced-6.1-23

Comment 1 Eido Inoue 2003-02-19 18:10:51 UTC
This is fixed in the latest rawhides. Although en_US.UTF-8 is capable of
displaying umlauts, I'm assuming that you want the en_US locale over the de_DE
locale of course. Same encoding/charset, regardless.

Comment 2 David Balažic 2003-04-02 15:41:08 UTC
Same problem in rhl9.

 - cat : omits the umlaut chars in VT1, replaces them with "?" in
gnomne-terminal and with " " in xterm
 - more : same as cat
 - less : displays umlaut, but eats the following char in all 3 term types
 - vi : OK in all cases

versions :

shrike rhl9
redhat-release-9-3
less-378-7 ( less )
coreutils-4.5.3-19 ( cat )
vim-enhanced-6.1-29 ( vi )
util-linux-2.11y-9 ( more )

Comment 3 David Balažic 2003-04-02 15:53:42 UTC
I discovered the problem.

When I created a file with umlauts in it, it worked fine.
It turns out theat README-i386.de file is not in UTF-8, but something else.

od -t x1 reveals, that in my file "ü" ( u with two dots ) is encoded as 0xc3
0xbc, while in the README-i386.de , it is just 0xfc.

Closing as NOTABUG.

Comment 4 Eido Inoue 2003-04-02 19:02:35 UTC
Hmmm. As the default encoding for German in Shryke is UTF-8, the README should
be changed. We may rename the file in future releases to "README.utf-8.de" to
give a better hint as to what encoding the files are in.


Comment 5 David Balažic 2003-05-20 15:43:25 UTC
Related bug 90646


Note You need to log in before you can comment on or make changes to this bug.